Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 831191 - dev-java/netty-buffer-4.0.36-r1::gentoo failed (test phase) with openjdk-{11,17}
Summary: dev-java/netty-buffer-4.0.36-r1::gentoo failed (test phase) with openjdk-{11,17}
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: PMASKED, PullRequest, TESTFAILURE
Depends on:
Blocks: jdk11 jdk17_test
  Show dependency tree
 
Reported: 2022-01-14 12:59 UTC by Volkmar W. Pogatzki
Modified: 2022-07-18 15:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,331.20 KB, text/plain)
2022-01-14 12:59 UTC, Volkmar W. Pogatzki
Details
package com.oracle.svm.core.annotate does not exist (depends_on_svm,2.35 KB, text/plain)
2022-03-29 15:04 UTC, Volkmar W. Pogatzki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volkmar W. Pogatzki 2022-01-14 12:59:05 UTC
Created attachment 762155 [details]
build log

Test failures with openjdk-11 and -17 but all tests pass with openjdk-8. 


GENTOO_VM=  CLASSPATH="" JAVA_HOME="/home/volkmar/.gentoo/java-config-2/current-user-vm"
JAVACFLAGS="" COMPILER=""


Portage 3.0.28 (python 3.10.1-final-0, default/linux/amd64/17.1/desktop, gcc-11.2.0, glibc-2.33-r7, 4.19.222-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.19.222-gentoo-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-glibc2.33
KiB Mem:    16336000 total,   8820840 free
KiB Swap:   17577980 total,  17577468 free
Timestamp of repository gentoo: Fri, 14 Jan 2022 10:15:01 +0000
Head commit of repository gentoo: f10824a259721addcde8ae65d21d7b2ac72b8603
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p8::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.0-r6::gentoo
dev-lang/python:           3.9.9-r1::gentoo, 3.10.1-r3::gentoo
dev-lang/rust:             1.56.1::gentoo
dev-util/cmake:            3.21.4::gentoo
dev-util/meson:            0.59.4::gentoo
sys-apps/baselayout:       2.7-r3::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.25::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.16.4::gentoo
sys-devel/binutils:        2.37_p1::gentoo
sys-devel/binutils-config: 5.4::gentoo
sys-devel/clang:           13.0.0::gentoo
sys-devel/gcc:             11.2.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/lld:             13.0.0::gentoo
sys-devel/llvm:            13.0.0::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)
sys-libs/glibc:            2.33-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1

testing
    location: /var/db/repos/testing
    masters: gentoo

Installed sets: @thunderbird
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.8/conf /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="https://ftp.halifax.rwth-aachen.de/gentoo/ https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac acl acpi alsa amd64 branding bzip2 cairo cdda cdr cli crypt cups dri dts dvd dvdr emboss encode exif flac fortran gdbm gif gpm gtk gui iconv icu ipv6 jpeg lcms libglvnd libtirpc mad mng mp3 mp4 mpeg multilib ncurses nptl ogg opengl openmp pango pcre pdf png policykit ppds qt5 readline sdl seccomp spell split-usr ssl startup-notification svg tiff truetype udev unicode upower usb vorbis wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_9 python3_10" RUBY_TARGETS="ruby26 ruby27" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="intel i965 nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 Miroslav Šulc gentoo-dev 2022-01-14 14:25:46 UTC
it's not compatible with java 11+ because it uses sun.misc.Unsafe unconditionally: https://github.com/netty/netty/blob/netty-4.0.36.Final/common/src/main/java/io/netty/util/internal/PlatformDependent0.java#L174

bumping to the latest 4.0.56 or 4.1.73 should fix it.
Comment 2 Volkmar W. Pogatzki 2022-03-29 15:04:56 UTC
Created attachment 768150 [details]
package com.oracle.svm.core.annotate does not exist

(In reply to Miroslav Šulc from comment #1)
> it's not compatible with java 11+ because it uses sun.misc.Unsafe
> unconditionally:
> https://github.com/netty/netty/blob/netty-4.0.36.Final/common/src/main/java/
> io/netty/util/internal/PlatformDependent0.java#L174
> 
> bumping to the latest 4.0.56 or 4.1.73 should fix it.

Even 4.0.56 depends on com.oracle.svm.core.annotate which does not exist in ::gentoo.
Comment 3 Larry the Git Cow gentoo-dev 2022-04-15 09:36:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d606af42d8cca142f9b508741f7b940d9a0f7621

commit d606af42d8cca142f9b508741f7b940d9a0f7621
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-04-10 17:16:39 +0000
Commit:     Florian Schmaus <flow@gentoo.org>
CommitDate: 2022-04-15 09:35:05 +0000

    dev-java/netty: initial import
    
    Replacement for netty-{common,buffer,transport}
    
    Bug: https://bugs.gentoo.org/827221
    Bug: https://bugs.gentoo.org/827919
    Bug: https://bugs.gentoo.org/831191
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/24963
    Signed-off-by: Florian Schmaus <flow@gentoo.org>

 dev-java/netty/Manifest            |   1 +
 dev-java/netty/metadata.xml        |  14 +++
 dev-java/netty/netty-4.1.35.ebuild | 206 +++++++++++++++++++++++++++++++++++++
 3 files changed, 221 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2022-06-19 05:22:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c0ab3205e5585315ce442475624dc75437462af

commit 1c0ab3205e5585315ce442475624dc75437462af
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-06-15 19:15:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-19 05:22:30 +0000

    profiles/package.mask: last-rite dev-java/netty-*
    
    Bug: https://bugs.gentoo.org/831191
    Bug: https://bugs.gentoo.org/849488
    Bug: https://bugs.gentoo.org/827221
    Bug: https://bugs.gentoo.org/827919
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/25941
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2022-07-18 15:49:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d37d53849196a77f2be0fc699f09da95f8c600d7

commit d37d53849196a77f2be0fc699f09da95f8c600d7
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-07-18 15:13:45 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-07-18 15:49:03 +0000

    dev-java/netty-buffer: treeclean
    
    Closes: https://bugs.gentoo.org/831191
    Bug: https://bugs.gentoo.org/849488
    Bug: https://bugs.gentoo.org/826494
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 dev-java/netty-buffer/Manifest                     |  1 -
 dev-java/netty-buffer/metadata.xml                 | 11 ---
 .../netty-buffer/netty-buffer-4.0.36-r1.ebuild     | 85 ----------------------
 dev-java/netty-buffer/netty-buffer-4.0.36.ebuild   | 49 -------------
 profiles/package.mask                              |  1 -
 5 files changed, 147 deletions(-)